export default (function (intlPrefix, formatMessage) {
  return {
    autoQuery: true,
    selection: false,
    paging: false,
    dataKey: null,
    transport: {},
    fields: [{
      name: 'name',
      type: 'string',
      label: formatMessage({
        id: "".concat(intlPrefix, ".name")
      })
    }, {
      name: 'code',
      type: 'string',
      label: formatMessage({
        id: "".concat(intlPrefix, ".code")
      })
    }, {
      name: 'id',
      type: 'string'
    }, {
      name: 'type',
      type: 'string',
      defaultValue: 'normal',
      label: formatMessage({
        id: "".concat(intlPrefix, ".type")
      })
    }, {
      name: 'active',
      type: 'boolean',
      label: formatMessage({
        id: 'status'
      })
    }, {
      name: 'creationDate',
      type: 'string',
      label: formatMessage({
        id: 'createDate'
      })
    }, {
      name: 'repoUrl',
      type: 'string',
      label: formatMessage({
        id: "".concat(intlPrefix, ".repoUrl")
      })
    }],
    queryFields: [{
      name: 'name',
      type: 'string',
      label: formatMessage({
        id: "".concat(intlPrefix, ".name")
      })
    }, {
      name: 'code',
      type: 'string',
      label: formatMessage({
        id: "".concat(intlPrefix, ".code")
      })
    }]
  };
});